CHSH(1)

NOME
chsh - cambia la shell di login

SINOSSI

chsh [opzioni] [LOGIN]

DESCRIZIONE

Il comando chsh cambia la shell di login dell'utente, in altre parole determina il comando iniziale eseguito quando un utente accede al sistema. Chiunque può cambiare la propria shell di login, mentre l'amministratore può cambiare la shell di login per ogni account.

OPZIONI

Il comando chsh accetta le seguenti opzioni:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --shellSHELL
    Il nome della nuova shell di login dell'utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni la shell di login predefinita.

Se non viene usata l'opzione -s, chsh opera in maniera interattiva, mostrando all'utente la shell attuale. Inserire il nuovo valore oppure lasciare la riga vuota per non modificare il valore attuale. La shell attuale è mostrata tra parentesi [ ].

NOTA

L'unica limitazione sulla scelta della shell di login è che il nome del comando deve essere presente in /etc/shells; fa eccezione l'amministratore di sistema, che è libero di scegliere qualsiasi valore. Un account con una shell di login limitata non può cambiare la propria shell di login. Per questo motivo è sconsigliato includere /bin/rsh in /etc/shells: se accidentalmente un utente selezionasse una shell limitata, non potrebbe più tornare alla shell di login che usava originariamente.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

CHSH_AUTH (booleano)
    Se yes, il comando chsh richiederà l'autenticazione prima di apportare qualsiasi modifica, a meno che sia utilizzato dal super utente.

LOGIN_STRING (testo)
    Il testo da utilizzare per richiedere la password. Il valore predefinito è «Password: » o una sua traduzione. Se si imposta questa variabile allora il testo non verrà tradotto.

    Se il testo contiene %s, questo verrà sostituito dal nome dell'utente.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shells
    Elenco delle shell di login ammesse.

/etc/login.defs
    Configurazione del pacchetto password shadow

VEDERE ANCHE

chfn(1), login.defs(5), passwd(5).